org.bdgenomics.adam.models

# Rod

#### case class Rod(position: ReferencePosition, pileups: List[Pileup]) extends Product with Serializable

Class representing a set of pileup bases at a specific locus.

position

  Position on the reference genome.

pileups

  A list representing the bases at this locus.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Rod
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Rod(position: ReferencePosition, pileups: List[Pileup])

   position

     Position on the reference genome.

   pileups

     A list representing the bases at this locus.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### lazy val isSingleSample: Boolean

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### val pileups: List[Pileup]

    A list representing the bases at this locus.

17. #### val position: ReferencePosition

    Position on the reference genome.

18. #### def splitBySamples(): List[Rod]

    Splits this rod out by samples.

    Splits this rod out by samples.

    returns

      A list of rods, each corresponding to a single sample.

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped